VERSION 5.00
Object = "{20C62CAE-15DA-101B-B9A8-444553540000}#1.1#0"; "MSMAPI32.OCX"
Begin VB.Form frmMain 
   BackColor       =   &H00E0E0E0&
   Caption         =   "Send/Receive Email Messages"
   ClientHeight    =   7290
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   7080
   Icon            =   "frmMain.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   7290
   ScaleWidth      =   7080
   StartUpPosition =   3  'Windows Default
   Begin VB.Frame Report 
      Caption         =   "Attach Report As"
      Height          =   1095
      Left            =   120
      TabIndex        =   9
      Top             =   5280
      Width           =   6735
      Begin VB.CheckBox chkExcel 
         Caption         =   "Excel"
         Height          =   255
         Left            =   5040
         TabIndex        =   13
         Top             =   480
         Width           =   1215
      End
      Begin VB.CheckBox chkRTF 
         Caption         =   "RTF"
         Height          =   255
         Left            =   3480
         TabIndex        =   12
         Top             =   480
         Width           =   1455
      End
      Begin VB.CheckBox chkTIFF 
         Caption         =   "TIFF"
         Height          =   255
         Left            =   2160
         TabIndex        =   11
         Top             =   480
         Width           =   1335
      End
      Begin VB.CheckBox chkPDF 
         Caption         =   "PDF"
         Height          =   375
         Left            =   240
         TabIndex        =   10
         Top             =   360
         Width           =   1695
      End
   End
   Begin MSMAPI.MAPIMessages MAPIMessages1 
      Left            =   690
      Top             =   6480
      _ExtentX        =   1005
      _ExtentY        =   1005
      _Version        =   393216
      AddressEditFieldCount=   1
      AddressModifiable=   0   'False
      AddressResolveUI=   0   'False
      FetchSorted     =   0   'False
      FetchUnreadOnly =   0   'False
   End
   Begin MSMAPI.MAPISession MAPISession1 
      Left            =   30
      Top             =   6480
      _ExtentX        =   1005
      _ExtentY        =   1005
      _Version        =   393216
      DownloadMail    =   -1  'True
      LogonUI         =   -1  'True
      NewSession      =   0   'False
   End
   Begin VB.CommandButton cmdClose 
      Caption         =   "&Close Session"
      Height          =   375
      Left            =   4410
      TabIndex        =   8
      Top             =   6600
      Width           =   1245
   End
   Begin VB.CommandButton cmdSend 
      Caption         =   "&Send"
      Height          =   375
      Left            =   5730
      TabIndex        =   7
      Top             =   6600
      Width           =   1245
   End
   Begin VB.TextBox txtMessage 
      Height          =   2925
      Left            =   120
      MultiLine       =   -1  'True
      ScrollBars      =   2  'Vertical
      TabIndex        =   6
      Top             =   2220
      Width           =   6855
   End
   Begin VB.TextBox txtSubject 
      Height          =   345
      Left            =   810
      TabIndex        =   5
      Top             =   1650
      Width           =   6165
   End
   Begin VB.TextBox txtTo 
      Height          =   345
      Left            =   810
      TabIndex        =   3
      Top             =   1200
      Width           =   6165
   End
   Begin VB.TextBox txtFrom 
      Height          =   345
      Left            =   810
      TabIndex        =   1
      Top             =   750
      Width           =   6195
   End
   Begin VB.Image Image1 
      Height          =   525
      Left            =   150
      Picture         =   "frmMain.frx":0442
      Top             =   120
      Width           =   3330
   End
   Begin VB.Label lblSubject 
      BackStyle       =   0  'Transparent
      Caption         =   "Subject:"
      Height          =   285
      Left            =   120
      TabIndex        =   4
      Top             =   1710
      Width           =   645
   End
   Begin VB.Label lblTo 
      BackStyle       =   0  'Transparent
      Caption         =   "To:"
      Height          =   285
      Left            =   150
      TabIndex        =   2
      Top             =   1260
      Width           =   345
   End
   Begin VB.Label lblFrom 
      BackStyle       =   0  'Transparent
      Caption         =   "From:"
      Height          =   285
      Left            =   150
      TabIndex        =   0
      Top             =   810
      Width           =   495
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Dim rpt As ActiveReport1
Dim pdfExport As ActiveReportsPDFExport.ARExportPDF
Dim tiffExport As ActiveReportsTIFFExport.tiffExport
Dim rtfExport As ActiveReportsRTFExport.ARExportRTF
Dim xlsExport As ActiveReportsExcelExport.ARExportExcel
Dim txtExport As ActiveReportsTextExport.ARExportText
Dim htmlExport As ActiveReportsHTMLExport.htmlExport

Private Sub cmdClose_Click()

    MAPISession1.SignOff
    Unload Me

End Sub


Private Sub cmdSend_Click()
    
    'Start by telling the control that we are composing an e-mail
    MAPIMessages1.Compose

    'Use whatever is in the Textboxes as the information for our e-mail.
    MAPIMessages1.RecipDisplayName = txtTo.Text
    MAPIMessages1.MsgSubject = txtSubject.Text
  
    
    MAPIMessages1.ResolveName
    
    Dim attachmentsCount As Integer
    attachmentsCount = (chkExcel * 1) + (chkPDF * 1) + (chkTIFF * 1) + (chkRTF * 1)
    'Dim attachCount As Integer
    'attachCount = 0
    
    'The value passed to the Space() function in the
    'next line is because there are several attachments to add.
    'These spaces act as placeholders for the attachments.
    ' See this resource:
    ' http://support.microsoft.com/kb/q186148/
    MAPIMessages1.MsgNoteText = Space(attachmentsCount) & vbCrLf & txtMessage.Text
    
    
    ' Add selected attachments
    If chkPDF Then
        Set pdfExport = New ActiveReportsPDFExport.ARExportPDF
        pdfExport.FileName = App.Path + "\report.pdf"
        pdfExport.Export rpt.Pages
        MAPIMessages1.AttachmentIndex = attachmentsCount - 1
        MAPIMessages1.AttachmentPosition = attachmentsCount - 1
        attachmentsCount = attachmentsCount - 1
        MAPIMessages1.AttachmentPathName = pdfExport.FileName
    End If
    If chkExcel Then
        Set xlsExport = New ActiveReportsExcelExport.ARExportExcel
        xlsExport.FileName = App.Path + "\report.xls"
        xlsExport.Export rpt.Pages
        MAPIMessages1.AttachmentIndex = attachmentsCount - 1
        MAPIMessages1.AttachmentPosition = attachmentsCount - 1
        attachmentsCount = attachmentsCount - 1
        MAPIMessages1.AttachmentPathName = xlsExport.FileName
    End If
    If chkTIFF Then
        Set tiffExport = New ActiveReportsTIFFExport.tiffExport
        tiffExport.FileName = App.Path + "\report.tiff"
        tiffExport.Export rpt.Pages
        MAPIMessages1.AttachmentIndex = attachmentsCount - 1
        MAPIMessages1.AttachmentPosition = attachmentsCount - 1
        attachmentsCount = attachmentsCount - 1
        MAPIMessages1.AttachmentPathName = tiffExport.FileName
    End If
    If chkRTF Then
        Set rtfExport = New ActiveReportsRTFExport.ARExportRTF
        rtfExport.FileName = App.Path + "\report.rtf"
        rtfExport.Export rpt.Pages
        MAPIMessages1.AttachmentIndex = attachmentsCount - 1
        MAPIMessages1.AttachmentPosition = attachmentsCount - 1
        MAPIMessages1.AttachmentPathName = rtfExport.FileName
    End If
    
   
    'Send the e-mail message to the Recipient
    MAPIMessages1.Send

End Sub

Private Sub Form_Load()

    ' Create and run the report to be sent by email
    Set rpt = New ActiveReport1
    rpt.Run
    
    On Error Resume Next

    'Sign on to the MAPI Session
    MAPISession1.SignOn
    MAPIMessages1.SessionID = MAPISession1.SessionID
        
End Sub

